﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MongoDB;
using MongoDB.Driver;
using MongoDB.Bson;

/// <summary>
/// MongoDB 连接
/// </summary>
public class Mongo
{
    private static MongoClient mongo;

    static public MongoClient Ins
    {
        get
        {
            if (null == mongo)
            {
                mongo=new MongoClient(Config.Ins.mongo);
            }
            return mongo;
        }
    }
    /// <summary>
    /// 获取操作redis数据库的接口对象
    /// </summary>
    /// <param name="id">指定db的编号</param>
    /// <returns></returns>
    public static IMongoDatabase Mdb(string db="test")
    {
        return Ins.GetDatabase(db);
    }
}

